#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_bio_prison_create, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_key_has_valid_range, "", "");
KSYMTAB_FUNC(dm_bio_detain, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release_no_holder, "_gpl", "");
KSYMTAB_FUNC(dm_cell_error, "_gpl", "");
KSYMTAB_FUNC(dm_cell_visit_release, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_create, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_inc, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_dec, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_add_work, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_create_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_get_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_put_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_quiesce_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_promote_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_unlock_v2, "_gpl", "");

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0xcaed8c0a, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0x3f7dd9b2, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0xe5734472, "_gpl");
SYMBOL_CRC(dm_cell_release, 0xbd77e1f4, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0x1944e787, "_gpl");
SYMBOL_CRC(dm_cell_error, 0xdef792d7, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0x3aeeef3d, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0x49e42e22, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0x131876a7, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0xe6cb1475, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0xe6d2f567, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0x074be041, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0x3bad9073, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0x7c7527f2, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0x8645afab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x755bdfb7, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x3dadce20, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x8041fc2b, "bio_endio" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x34482aa5, "mempool_exit" },
	{ 0x525edf18, "kmem_cache_destroy" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B207CB2222121CA5832DFD9");
MODULE_INFO(rhelversion, "9.7");
