#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xd41d1334, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x6fe4d8da, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x0695e573, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xd16704eb, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x1182a17d, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xf174e806, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xf1263805, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xf784e018, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x741b976d, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xf70a9a91, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xa2e609c7, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x47b85d42, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xd506d12d, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xf8935f4d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x91fb9c81, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x14f00ee5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xe74f6224, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x487426ba, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x38120d15, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x2239ff5c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xef82e473, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x78a48433, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x8a3d5813, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xca5a944b, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xb9af9a04, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x7f22d2a2, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x9cce9072, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x10fd4846, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x32e0dead, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xbf46bc4c, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x971aef16, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x5207d507, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x80e80d6f, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xf5d2db14, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xe11aaee1, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xb610c227, "");
SYMBOL_CRC(mlx4_test_async, 0x87a68cd9, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x4e1f4db1, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x2267e9b0, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xded4170b, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x61c1b728, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x39e83ef4, "");
SYMBOL_CRC(mlx4_assign_eq, 0xb973b565, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x295ec6c9, "");
SYMBOL_CRC(mlx4_release_eq, 0x558b94c5, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xf49ba159, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x19967471, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x20d2e2b6, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xf59b0de0, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xa13025fc, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xffb7cec6, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xdb4f0662, "");
SYMBOL_CRC(mlx4_wol_read, 0x16278733, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x7fccf57d, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x698bfb63, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xe88ce50a, "");
SYMBOL_CRC(set_phv_bit, 0x3f35720e, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xf93aed4b, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xdc59b94c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xb1c26cd7, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xce1ee389, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xccaec5ff, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x5e255f70, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xb159dfdf, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x37218cd7, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x4797aaaf, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xcc26f2c6, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x4abc0859, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x028bc90c, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x92922f67, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x18180df6, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xd1011b50, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x0f66159c, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xc10a9846, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xffdf3264, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x0883d7de, "");
SYMBOL_CRC(mlx4_read_clock, 0xa3d2147d, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xcd9b2d67, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x89b70fee, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x7d6778b1, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xc03d2e8f, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x1d5fc105, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x831a36cd, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x6f65d7c7, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xf386c18f, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xa5fe8ecc, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x8ebfeff9, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xf452fa19, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x4cc33f5c, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xfeef68b0, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x2f289ad2, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x9bb99c37, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x657d88fc, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xa9657a49, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xeb930f5d, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x15ea3319, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x0b4e8b6d, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x9e2579e7, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x2f9cdec0, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xe094ad19, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x8616901a, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xe6588a41, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x03598a45, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x06ea7535, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xe3256e59, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xd9e1e8c5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xd481398a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x7cbf9dba, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xe8ea4046, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x50dc2671, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x95e86571, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x5beaf5b0, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xa04ddc08, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x7073fe19, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x67c7f1bf, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xb930e383, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xd650601e, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x0cc45bbf, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x74598475, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x28612767, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x3521a2a4, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xd071a8da, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x5368c149, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x7e9821b7, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xa35c11ff, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xb15cb32c, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x683029a6, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x6db8f4a7, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xc6f8eda9, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x0f3bae2d, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xd6ab7031, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xf9b25df5, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xb67d482e, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xaccec4dc, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xae93fdbe, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x972a4279, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xb6b4bc8e, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x92d489d2, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x4c5cf20a, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x62bb6078, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x1af427a8, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x73f407c3, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x45365dc8, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xb065238e, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x4a02b865, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x3344b9b2, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xab3577e9, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x9c6299cc, "");
SYMBOL_CRC(mlx4_get_module_info, 0xcda38713, "");
SYMBOL_CRC(mlx4_max_tc, 0x3ca20134, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x94604951, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x8d33b398, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x254f5df1, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x8893398c, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xea1ec95e, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x754b71db, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x45f94625, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x24ef37a6, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x9ab7dd24, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xfbcdc8cb, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x8139866f, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x4d1ea70d, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x59a6c70d, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x6216d899, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x608e3200, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe7262c79, "pcie_capability_write_word" },
	{ 0x4d9e207d, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfca978fa, "devl_region_create" },
	{ 0x5ee39c2f, "devlink_unregister" },
	{ 0x8e96d9c, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x21ba49ce, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2f1ef179, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9118ac47, "devlink_region_snapshot_id_get" },
	{ 0x822860d0, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x736b232a, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xb9454f8d, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb0bf4112, "param_array_ops" },
	{ 0xfe3255d5, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x28e4065e, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x5ac8d3ef, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe7d9df81, "devlink_register" },
	{ 0x85411ee6, "devlink_port_type_clear" },
	{ 0xab0ca6e0, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x359e0d40, "param_ops_byte" },
	{ 0xc52ec60a, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0xb717eecf, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xa80bf66e, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x61543e8c, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c10fc17, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1f854c9, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x46c21601, "put_device" },
	{ 0xf777da8c, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2580fd03, "kmalloc_node_trace" },
	{ 0x9084ceff, "__free_pages" },
	{ 0xa6f28b9a, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xccdb5819, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x7d917562, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x6815fe2d, "_dev_err" },
	{ 0xede92036, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xcb5c0d1b, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x744aea29, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xdb5c16, "dma_alloc_attrs" },
	{ 0x22d00fe1, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x1aa2500c, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4c75cbe0, "pci_restore_state" },
	{ 0x44dba1b3, "device_del" },
	{ 0x5bafe4a7, "devl_param_driverinit_value_set" },
	{ 0x773167b1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xd8c7a7ee, "__alloc_pages" },
	{ 0xa2453a0c, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x903b70bc, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0xdfaf4a73, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0x48b05418, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xf3c77fb6, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x815df2db, "param_ops_bool" },
	{ 0xd27a73dd, "pci_release_regions" },
	{ 0xf7436d3b, "__dma_sync_single_for_device" },
	{ 0x2b9cf349, "devl_assert_locked" },
	{ 0x4beab6ab, "pcie_print_link_status" },
	{ 0x8730a9b9, "alloc_pages" },
	{ 0x1798b7c8, "devl_port_unregister" },
	{ 0x90e77d69, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x633fda10, "devlink_priv" },
	{ 0xe330fcbd, "pci_disable_sriov" },
	{ 0x3a07d10b, "pci_disable_msix" },
	{ 0x356a560a, "pci_disable_device" },
	{ 0x49662613, "dma_set_mask" },
	{ 0xf4bba030, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x28d90ab3, "dma_unmap_sg_attrs" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xec114dc5, "param_ops_int" },
	{ 0x410a5522, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x45d3fe35, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3e5eff22, "pci_write_config_dword" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x783036d4, "device_remove_file" },
	{ 0x145b0b14, "dma_map_sg_attrs" },
	{ 0x1dad6e54, "devl_param_value_changed" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.7");
