#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0xa59842e4, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x07a8326b, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x68827cf7, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x1751557e, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x6632bf2c, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0xfc404dff, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0x0ffc100f, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x8d30e5b0, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xa62c416e, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x7961debc, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xd59ea5d3, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x88fb4e81, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x61778402, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x45645f5d, "_gpl");
SYMBOL_CRC(qeth_poll, 0x277efdb8, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0xed5d8aca, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xe71b6508, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0xafdb234a, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x51eac43a, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x898c1680, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xfe6305b8, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x7296b45d, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xf9467631, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x90c059b7, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x0b4fd860, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x2826cdfa, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x87d3fddb, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0xe13176b2, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0xcd0d8b33, "_gpl");
SYMBOL_CRC(qeth_open, 0xbb6e635b, "_gpl");
SYMBOL_CRC(qeth_stop, 0xaf5828a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd50f911, "ccw_device_get_cssid" },
	{ 0x4261850e, "napi_alloc_skb" },
	{ 0x70a7a0d, "alloc_etherdev_mqs" },
	{ 0x107f9f12, "ccw_device_halt" },
	{ 0x6c9ff7f0, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x968c12e0, "qdio_shutdown" },
	{ 0x84442b62, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4ed8b127, "ccwgroup_set_offline" },
	{ 0x4d9e207d, "vmemmap" },
	{ 0x2671d171, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1ab70cc, "skb_copy_bits" },
	{ 0x32125444, "qdio_allocate" },
	{ 0x8b808236, "qdio_inspect_output_queue" },
	{ 0x6560ca5c, "skb_put" },
	{ 0xd4aa9b9, "skb_tstamp_tx" },
	{ 0x69d71951, "netdev_update_features" },
	{ 0x8027cf27, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x650b7645, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x38ff7596, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xc6dc82f4, "skb_add_rx_frag" },
	{ 0x78da74d0, "debug_set_level" },
	{ 0x95915ed2, "register_service_level" },
	{ 0xc00c2835, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc442e755, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc05818a2, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfbd7fb73, "qdio_add_bufs_to_output_queue" },
	{ 0x7b900ec3, "__netif_napi_del" },
	{ 0x3dadce20, "kmem_cache_create" },
	{ 0xc52ec60a, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x5a1aecab, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x22d6c52d, "qdio_get_ssqd_desc" },
	{ 0x66c9515d, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9a735e19, "pskb_expand_head" },
	{ 0x44801939, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x9d089be9, "eth_type_trans" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2dcf20b, "napi_complete_done" },
	{ 0xef6c97be, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x6ca4ce56, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x551cbf43, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x46c21601, "put_device" },
	{ 0xb35540b9, "__napi_schedule" },
	{ 0xc26dc888, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8d98e9ba, "netif_device_detach" },
	{ 0x9084ceff, "__free_pages" },
	{ 0x2afa59b0, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa6f28b9a, "_dev_info" },
	{ 0x7afd42a8, "napi_gro_receive" },
	{ 0x3c81801b, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xeaaa5674, "ccwgroup_probe_ccwdev" },
	{ 0x1bcd9cfe, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6815fe2d, "_dev_err" },
	{ 0xb063d646, "softnet_data" },
	{ 0x48e183bf, "ccw_device_get_id" },
	{ 0x606e9ed9, "__root_device_register" },
	{ 0x1753a016, "ccw_device_get_ciw" },
	{ 0x4fa0bbc8, "netif_set_real_num_tx_queues" },
	{ 0x6b50f0f0, "sk_skb_reason_drop" },
	{ 0x1ebcbe8b, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x832d856e, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9e9e4ee, "skb_push" },
	{ 0x87fc0ec3, "kmem_cache_free" },
	{ 0x47f577a7, "ccwgroup_driver_register" },
	{ 0x907db33d, "debugfs_remove" },
	{ 0x30153b5d, "napi_enable" },
	{ 0x1d989069, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x656b60ad, "__debug_sprintf_event" },
	{ 0x688b8587, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x76c42e6b, "netif_tx_stop_all_queues" },
	{ 0x709951b4, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2c1e72a9, "ccw_device_set_offline" },
	{ 0x773167b1, "_dev_warn" },
	{ 0x3f5a785a, "ccw_driver_register" },
	{ 0x37b23a32, "netif_schedule_queue" },
	{ 0xd8c7a7ee, "__alloc_pages" },
	{ 0xc2500a91, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x3526d195, "netdev_set_tc_queue" },
	{ 0x87a1ed5, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x95519755, "__pskb_pull_tail" },
	{ 0x7b987314, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0xbd3c0b9f, "kthread_create_on_node" },
	{ 0x41049730, "debug_hex_ascii_view" },
	{ 0xccfaa978, "debug_unregister" },
	{ 0x866e7206, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xd3bf0e56, "ccwgroup_driver_unregister" },
	{ 0x5635c3f, "ccwgroup_remove_ccwdev" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x950dad73, "ccw_device_get_iid" },
	{ 0xf271bd82, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5303049b, "netif_carrier_off" },
	{ 0x112af2f3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa47302ea, "ccw_device_set_online" },
	{ 0x7302653c, "netdev_set_num_tc" },
	{ 0x7a3bcac1, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0xfd48aba1, "debugfs_create_file_full" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe9e8cc80, "single_release" },
	{ 0xf9f0345f, "qdio_add_bufs_to_input_queue" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x69b1a704, "__napi_schedule_irqoff" },
	{ 0x9e935230, "napi_schedule_prep" },
	{ 0x81fda1e3, "napi_consume_skb" },
	{ 0x6684fd6e, "debug_sprintf_view" },
	{ 0x627edff, "qdio_stop_irq" },
	{ 0xc40647c0, "napi_disable" },
	{ 0x901535e8, "qdio_free" },
	{ 0x153e8f78, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x2643225, "debugfs_create_dir" },
	{ 0x128c2f57, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xbf37f604, "ccw_driver_unregister" },
	{ 0x1ef8721b, "skb_clone_tx_timestamp" },
	{ 0x66847fe, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x28e2aaf9, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x525edf18, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "FBC9028ACD69E705172FA0A");
MODULE_INFO(rhelversion, "9.7");
