#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x99f1b554, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xbef59ffb, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xe294acf6, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x9ce13e33, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x368a9474, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7e6b908d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c3795fe, "nf_ct_ext_add" },
	{ 0x9ef8243f, "nsh_pop" },
	{ 0x928db44c, "nf_conntrack_find_get" },
	{ 0x876fa67d, "nf_ct_set_timeout" },
	{ 0xe76af2bc, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x94fd7c47, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdcec1dab, "dev_fill_metadata_dst" },
	{ 0x2ebbeca, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x36c06687, "nf_ct_handle_fragments" },
	{ 0xbf89462c, "eth_mac_addr" },
	{ 0x6560ca5c, "skb_put" },
	{ 0x852482c0, "genl_notify" },
	{ 0xad9bed82, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8027cf27, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x14b96d16, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd902ccaa, "skb_eth_pop" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0x66bbac28, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19353db3, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x444ac134, "nf_ct_helper" },
	{ 0x74595c5e, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0xdf7eb09a, "rtnl_delete_link" },
	{ 0x3fcd3135, "rtnl_link_register" },
	{ 0x86c4ead3, "nf_connlabels_put" },
	{ 0xbca7958d, "genlmsg_put" },
	{ 0x7749b27a, "___pskb_trim" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd3149263, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf72f840, "dev_set_promiscuity" },
	{ 0x6c22b22c, "nf_ct_destroy_timeout" },
	{ 0x834252a9, "nf_ct_add_helper" },
	{ 0x9a5b2ea6, "nf_conntrack_helper_put" },
	{ 0x1e311f27, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7161ab12, "nf_ct_skb_network_trim" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0x142d52e6, "unregister_netdevice_queue" },
	{ 0x3dadce20, "kmem_cache_create" },
	{ 0x8972f989, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x5a1aecab, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x20d53a92, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9a735e19, "pskb_expand_head" },
	{ 0x1b3034a7, "skb_csum_hwoffload_help" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x74b42232, "nf_connlabels_replace" },
	{ 0x9d089be9, "eth_type_trans" },
	{ 0xef6c97be, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x55869219, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xae0e35c6, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0x61fac2da, "skb_eth_push" },
	{ 0x6d4f090, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x37fbbfca, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x2afa59b0, "kmem_cache_alloc" },
	{ 0xfd8bfed8, "skb_mpls_pop" },
	{ 0x18050f10, "skb_vlan_pop" },
	{ 0xd6e360b7, "dst_init" },
	{ 0x94c1822a, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x71af8900, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x7932dfc4, "rtnl_link_unregister" },
	{ 0xeeb717ce, "perf_trace_run_bpf_submit" },
	{ 0xede92036, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xfaf6c0cf, "ipv6_stub" },
	{ 0xf0624041, "skb_mpls_update_lse" },
	{ 0xa643099, "skb_pull" },
	{ 0x6414c047, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x6b50f0f0, "sk_skb_reason_drop" },
	{ 0x82b7cd57, "netlink_unicast" },
	{ 0xebfd0c05, "bpf_trace_run5" },
	{ 0xd179e267, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9e9e4ee, "skb_push" },
	{ 0x87fc0ec3, "kmem_cache_free" },
	{ 0xfad776f3, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0x25893b7f, "skb_ensure_writable" },
	{ 0x1d989069, "free_netdev" },
	{ 0xff27bf9f, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb91e3e02, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x688b8587, "ethtool_op_get_link" },
	{ 0x482dafb9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x880cd1fc, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x95519755, "__pskb_pull_tail" },
	{ 0x4224926f, "nf_ct_delete" },
	{ 0x3fcdb929, "nf_conncount_init" },
	{ 0x94c1b44e, "skb_vlan_push" },
	{ 0x8612ffbd, "dev_get_tstats64" },
	{ 0x2eca3bb8, "netif_rx" },
	{ 0x7b987314, "__netdev_alloc_skb" },
	{ 0x97f4924c, "netdev_master_upper_dev_link" },
	{ 0x22778d37, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0xf908149, "inet_proto_csum_replace16" },
	{ 0x7383697e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xfb4df35d, "skb_scrub_packet" },
	{ 0xd0d41ad, "nf_ct_deliver_cached_events" },
	{ 0x2499939b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x585223c0, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf9b0a396, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0x2a67726f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x29c63bb, "inet_proto_csum_replace4" },
	{ 0xb1027f3c, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x79d286a5, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa65ce3a9, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x56cc222d, "dev_get_by_name" },
	{ 0x73a1aafd, "skb_clone" },
	{ 0x86f9b401, "metadata_dst_alloc" },
	{ 0xab769042, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7991be3b, "peernet2id_alloc" },
	{ 0xd0548f0e, "nf_ct_get_tuplepr" },
	{ 0x13ae5ccd, "netdev_rx_handler_register" },
	{ 0x203a9b0f, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x2381c5ec, "genl_unregister_family" },
	{ 0xbc84d6b7, "dev_disable_lro" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x6b7b3707, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x654f66df, "genl_register_family" },
	{ 0x7f08f5c9, "nf_ct_tmpl_free" },
	{ 0xcc872bbb, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xdb0c427f, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xe360f40e, "skb_mpls_push" },
	{ 0xcb27f410, "register_pernet_device" },
	{ 0xc45b4ee5, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x1e849bd7, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x525edf18, "kmem_cache_destroy" },
	{ 0x298a142a, "__skb_vlan_pop" },
	{ 0xf2e4b6a7, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1836ab4, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "783AF655117136EB6C0CE3B");
MODULE_INFO(rhelversion, "9.7");
