#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x9bc7f02c, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xbef4bafa, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x70ff49d3, "");
SYMBOL_CRC(rdma_res_to_id, 0xecdff191, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x65e6517f, "");
SYMBOL_CRC(rdma_create_user_id, 0x5d925825, "");
SYMBOL_CRC(rdma_create_qp, 0x65884888, "");
SYMBOL_CRC(rdma_destroy_qp, 0x5d1766cd, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x8a238c8a, "");
SYMBOL_CRC(rdma_destroy_id, 0x7eaabc6c, "");
SYMBOL_CRC(rdma_get_service_id, 0x22f648c8, "");
SYMBOL_CRC(rdma_read_gids, 0x4ef8e706, "");
SYMBOL_CRC(rdma_set_service_type, 0x48e49c3b, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x218da693, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xd8812fa0, "");
SYMBOL_CRC(rdma_set_ib_path, 0x11275751, "");
SYMBOL_CRC(rdma_resolve_route, 0x92e25e67, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xca5b512f, "");
SYMBOL_CRC(rdma_set_afonly, 0xd41d41d1, "");
SYMBOL_CRC(rdma_listen, 0x85320c8b, "");
SYMBOL_CRC(rdma_resolve_addr, 0x59583d6b, "");
SYMBOL_CRC(rdma_bind_addr, 0x5537382f, "");
SYMBOL_CRC(rdma_connect_locked, 0x8553e2cf, "");
SYMBOL_CRC(rdma_connect, 0x6e8d7ec7, "");
SYMBOL_CRC(rdma_connect_ece, 0x123541c8, "");
SYMBOL_CRC(rdma_accept, 0x57ab06f5, "");
SYMBOL_CRC(rdma_accept_ece, 0x6fb04ee9, "");
SYMBOL_CRC(rdma_lock_handler, 0x3e0d1090, "");
SYMBOL_CRC(rdma_unlock_handler, 0x082dfe72, "");
SYMBOL_CRC(rdma_notify, 0x1bfb3fa3, "");
SYMBOL_CRC(rdma_reject, 0x3e6657aa, "");
SYMBOL_CRC(rdma_disconnect, 0xf4cf2aba, "");
SYMBOL_CRC(rdma_join_multicast, 0x69ce62f8, "");
SYMBOL_CRC(rdma_leave_multicast, 0x872eee45, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1484cd2c, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe6dad646, "iw_create_cm_id" },
	{ 0x56fa527b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbfb9e562, "ib_unregister_client" },
	{ 0x2c5c2b83, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa9d021b5, "ib_send_cm_sidr_rep" },
	{ 0x2ebbeca, "bpf_trace_run4" },
	{ 0xe1ea41f4, "config_group_init" },
	{ 0x69e87902, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x2ac9212e, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13c4a50d, "trace_raw_output_prep" },
	{ 0xbad536cd, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x93be5a49, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0xd169c69c, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd9c7d60, "rdma_query_gid" },
	{ 0xd1701662, "rt6_lookup" },
	{ 0x49f60f49, "rdma_translate_ip" },
	{ 0xc2228603, "bpf_trace_run2" },
	{ 0x6bf0bc5b, "event_triggers_call" },
	{ 0x9484f0ae, "rdma_dev_access_netns" },
	{ 0x4d1ccf0d, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0x15951be9, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x1b5652df, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbfbefe6, "register_pernet_subsys" },
	{ 0xc5449d68, "trace_event_buffer_commit" },
	{ 0x5cdb9fcb, "ip_mc_inc_group" },
	{ 0xdd27da2b, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xe10999fc, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x7820a3b4, "iw_cm_connect" },
	{ 0x31b58520, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x86183b39, "rdma_addr_cancel" },
	{ 0x9cd4c0c6, "trace_event_ignore_this_pid" },
	{ 0x9dbf26d, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x7baecd32, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x7a082c91, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x66d1e52a, "ib_sa_path_rec_get" },
	{ 0x4d4195e4, "ib_create_cm_id" },
	{ 0xfec90ae1, "__ip_mc_dec_group" },
	{ 0x21b1b5e2, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xeeb717ce, "perf_trace_run_bpf_submit" },
	{ 0x32b8a2b4, "ib_init_ah_from_mcmember" },
	{ 0x32f9769f, "rdma_destroy_ah_attr" },
	{ 0xd2db4d16, "ib_set_client_data" },
	{ 0xede92036, "init_net" },
	{ 0x91fc0727, "ib_get_cached_pkey" },
	{ 0x7685a1b9, "configfs_register_subsystem" },
	{ 0xd88107ec, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xa381ecff, "rdma_put_gid_attr" },
	{ 0xbcd50ccc, "config_group_init_type_name" },
	{ 0x2ba68d94, "dev_get_by_index" },
	{ 0xba3ad199, "iw_destroy_cm_id" },
	{ 0xd179e267, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x94a4dae8, "ib_send_cm_rep" },
	{ 0xa40c7fd, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x725e4d66, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x56d28a12, "bpf_trace_run1" },
	{ 0x15a3614c, "ib_destroy_qp_user" },
	{ 0x79c225f4, "unregister_pernet_subsys" },
	{ 0xd814ae91, "ib_cm_init_qp_attr" },
	{ 0x773167b1, "_dev_warn" },
	{ 0x22ab0dcc, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xb4e13e09, "rdma_restrack_set_name" },
	{ 0x35335f, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x4c187be5, "ib_get_cached_port_state" },
	{ 0xe530b16c, "ib_send_cm_mra" },
	{ 0x19541c64, "rdma_restrack_del" },
	{ 0xa29fe323, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x7089abc5, "bpf_trace_run3" },
	{ 0x8f3e9cdd, "__put_net" },
	{ 0x3a6ef551, "rdma_restrack_parent_name" },
	{ 0x6fbaa85c, "iw_cm_accept" },
	{ 0x5c9d9b91, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa3df4866, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x734833bf, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x2aa2733e, "iw_cm_init_qp_attr" },
	{ 0xab769042, "dst_release" },
	{ 0x25a45713, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x21e8005b, "ib_send_cm_dreq" },
	{ 0x4a80ac65, "ib_send_cm_req" },
	{ 0xc8eb7534, "ib_create_qp_kernel" },
	{ 0x4b46056, "ib_sa_join_multicast" },
	{ 0x4f956f14, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9e6c6bbc, "rdma_get_gid_attr" },
	{ 0xa8731641, "kmalloc_trace" },
	{ 0xe6250762, "rdma_restrack_new" },
	{ 0x94df985e, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x75a74298, "iw_cm_listen" },
	{ 0x68c1eade, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfcc6bf66, "rdma_copy_src_l2_addr" },
	{ 0xb8b8f9e1, "kmalloc_caches" },
	{ 0x82ce4fa9, "rdma_resolve_ip" },
	{ 0x1f479d24, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "9E3F3FD69C5D25059C7D16A");
MODULE_INFO(rhelversion, "9.7");
